﻿.appMaintenance-tile {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(0deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appMaintenance-tile:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appMaintenance-tile-rotate {
    border: solid 5px rgba(222, 222, 222, 1);
    background-color: rgb(252, 252, 252);
    box-shadow: 0 0 10px rgba(0,0,0,1);
    border-radius: 5px;
    transform: rotateY(180deg);
    transition-duration: 800ms;
    width: 80%;
}

    .appMaintenance-tile-rotate:after {
        content: "";
        display: block;
        padding-bottom: 100%;
    }

.appMaintenance-tile-content {
    position: absolute;
    width: 100%;
    height: 100%;
}

.appMaintenance-tile-placeholder {
    border: none;
    background-color: transparent;
    width: 80%;
}

.appMaintenance-tile-activities {
    height: 80%;
    width: 120%;
    border-radius: 50%;
    display: inline-block;
    background-color: orange;
    color: white;
    text-align: center;
    cursor: pointer;
    margin-left: 50%;
    margin-top: 0%;
}

.appMaintenance-glyphicon {
    color: gray;
    background-color: transparent;
    padding-top: 15%;    
}

.appMaintenance-glyphicon-close {
    color: gray;
    background-color: transparent;
    height: 120%;
    width: 120%;
    margin-top:-10%;
}


.appMaintenance-activty-circle {
    background-color: orange;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    width:100px;    
}


.appMaintenance-circle-outer-activties {    
    position: relative;
}

.appMaintenance-circle-inner-activties {
    width: 100%;
    height: 64%;
    position: absolute;
    cursor: pointer;
    border-radius: 50%;
    background-color: orange;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    margin-left: 55%;
    margin-top: -55%;
}

.appMaintenance-circle-outer-close {
    position: relative;
}

.appMaintenance-circle-inner-close {
    width: 100%;
    height: 64%;
    position: absolute;
    cursor: pointer;
    border-radius: 50%;
    background-color: white;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    margin-left: 55%;
    margin-top: -55%;  
}


.appMaintenance-tile-config {
    height: 100%;
    width: 100%;
    border-radius: 50%;
    display: inline-block;
    background-color: transparent;
    color: gray;
    text-align: center;
    cursor: pointer;
    margin-left: 10%;
    margin-top: 10%;
}

.appMaintenance-grid-container-config-activity {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 50% 50%;
    width: 100%;
    margin-top: 5px;
}

.appMaintenance-grid-container-config-activity-activ {
    display: grid;
    grid-template-columns: 12% 12% 30% 4% 12% 30%;
    grid-template-rows: 100%;
    width: 100%;
}

.appMaintenance-grid-container-config-activity-activ-weekday {
    display: grid;
    grid-template-rows: 100%;
    grid-template-columns: 12% 12% 1% 12% 1% 12% 1% 12% 1% 12% 1% 12% 1% 12%;
    width: 100%;
}

.appMaintenance-grid-container-tile-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 15% 85%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMaintenance-grid-container-tile-back {
    display: none;
    transform: rotateY(180deg);
    grid-template-columns: 100%;
    grid-template-rows: 15% 85%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMaintenance-grid-container-tile-header {
    display: grid;
    grid-template-columns: max-content max-content max-content auto 10%;  
    grid-column-gap:2%;
    margin-left:2%;
}

.appMaintenance-grid-container-tile-content-front {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 25% 25% 50%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    cursor: pointer;
    overflow-y:auto;
}

.appMaintenance-grid-container-tile-tooltip 
{
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    cursor: default;
    overflow:auto;
}

.appMaintenance-grid-container-tile-tooltip-content {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: auto auto auto;
    background-color: transparent;
    height: 100%;
    width: 100%;
    cursor: default;
}

.appMaintenance-grid-container-tile-content-back {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 16% 84%;
    grid-row-gap: 2%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMaintenance-grid-container-activities-content {
    display: grid;
    grid-template-columns: 33% 34% 33%;
    grid-template-rows: 45% 10% 45%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    background-color:red
}

.appMaintenance-grid-container-activity {
    display: grid;
    grid-template-columns: 15% 85%;
    grid-template-rows: 100%;
    background-color: transparent;
    width: 100%;
    align-items: center;
    margin-bottom: 10px;
}

.appMaintenance-grid-container-alarms {
    display: grid;
    grid-template-columns: 15% 75% 10%;
    grid-template-rows: 100%;
    background-color: transparent;
    width: 100%;
    align-items: center;
    margin-bottom: 10px;
}

.appMaintenance-grid-container-activity-message {
    display: grid;
    grid-template-columns: 70% 25%;
    grid-template-rows: 40% 20% 40%;
    grid-column-gap : 5%;
    width: 100%;
    height: 100%;
}

.appMaintenance-grid-container-activity-delete {
    display: grid;
    grid-template-columns: 15% 75% 10%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
    align-items: center;
}

.appMaintenance-circle-outer-activity {
    width: 80%;
    padding-bottom: 80%;
    position: relative;
}

.appMaintenance-circle-activity {
    position: absolute;
    top: 6px;
    right: 6px;
    bottom: 6px;
    left: 6px;
    cursor: pointer;
    border-radius: 50%;
    border: 1px solid gray;
}

.appMaintenance-grid-container-config {
    display: grid;
    grid-template-columns: 34% 33% 33%;
    background-color: transparent;
    width: 100%;
}

.appMaintenance-grid-container-config-metrics {
    display: grid;
    grid-template-columns: 100%;
    background-color: transparent;
    width: 100%;
}

.appMaintenance-grid-container-config-header {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMaintenance-grid-container-config-sum-values {
    display: grid;
    grid-template-columns: auto 100%;
    grid-template-rows: 100%;
}

.appMaintenance-grid-container-config-sum-values-input {
    width: 2vh;
    height: 2vh;
}

.appMaintenance-grid-container-config-maintenance-common {
    display: grid;
    grid-template-columns: 42% 2% 28% 2% 28% 2%;
    background-color: transparent;
}

.appMaintenance-grid-container-config-maintenance-limits {
    display: grid;
    grid-template-columns: 12% 2% 28% 2% 28% 2% 26%;
    background-color: transparent;
}

.appMaintenance-grid-container-chart-header {
    display: grid;
    grid-template-columns: 50% 50%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMaintenance-grid-container-chart-title {
    display: grid;
    grid-template-columns: 20% 20% 20% 20% 20%;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMaintenance-grid-container-chart-date-selection {
    display: grid;
    grid-template-columns: 3% 3% 1% 5% 1% 10% 1% 20% auto;
    grid-template-rows: 100%;
    background-color: transparent;
    height: 50%;
    margin-top: 1%;
}

.appMaintenance-grid-container-chart-content {
    display: grid;
    grid-template-columns: 70% 30%;
    grid-template-rows: auto 6vh 2vh 70vh;
    background-color: transparent;
    height: 100%;
    width: 100%;
}

.appMaintenance-grid-container-chart-frame-barHor-option {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 51vh 16vh;
    padding-left: 50px;
    padding-right: 20px;
    height: 100%;
    width: 100%;
}

.appMaintenance-grid-container-chart-barHor-option {
    display: grid;
}

.appMaintenance-grid-container-chart-legend-barHor-option {
    grid-template-columns: 50% 25% 25%;
    grid-template-rows: 12.5% 12.5% 12.5% 12.5% 12.5% 12.5%;
    align-self: end;
}

.appMaintenance-grid-container-chart-content-line-option {
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: 53.5vh 16vh;
    padding-left: 80px;
    padding-right: 20px;
    height: 100%;
    width: 100%;
}

.appMaintenance-grid-container-chart-current-values-line-option {
    display: grid;
    align-self: center;
}

.appMaintenance-grid-container-chart-total-item-line-option {
    display: grid;
    grid-template-columns: 50% 50%;
}

.appMaintenance-grid-container-chart-legend-line-option {
    grid-template-columns: 50% 25% 25%;
    grid-template-rows: 12.5% 12.5% 12.5% 12.5% 12.5% 12.5%;
}

.appMaintenance-dot-last-state-chart-line-option {
    height: 0.8vw;
    width: 0.8vw;
    border-radius: 50%;
    display: inline-block;
}

